package com.adealink.weparty.commonui.layout

import android.content.Context
import android.view.View
import android.view.ViewGroup
import androidx.annotation.IdRes

interface IDynamicViewFactory<LP : ViewGroup.LayoutParams> {

    fun <V : View> createView(@IdRes id: Int, context: Context): V

    fun getViewLayoutParam(@IdRes id: Int, context: Context): LP

}